Subject: "Found something dead in my shower"
From: Reddit <[email-masked]>
To: [email-masked]
Date: Wed, 13 May 2026 00:57:37 +0000

r/mainecoons: Found something dead in my shower Looks like a fluffy white dead beetle with a tail

FunDirection5847

r/mainecoons

u/Ear_Fuzzy
•
2d ago

Found something dead in my shower

Looks like a fluffy white dead beetle with a tail
Read More

131 upvotes

•

10 comments

Hide r/mainecoons

Hide r/mainecoons

r/CarolineGirvan

u/BeneficialSubject510
•
10h ago

Excessive cardio vs. Caroline

5'0, I'm 110-112lbs in both photos

On the left: 2012 (31 years old), running 1-2 hrs a day, binge drinking on weekends. I'm very puffy and inflamed in this photo, despite my low weight. The cardio wa...
Read More

393 upvotes

•

37 comments

Hide r/CarolineGirvan

Hide r/CarolineGirvan

r/Siamesecats

u/Fugahzee
•
4d ago

We just adopted this guy he has been the perfect kitten

I’ve never had a kitten before and wasn’t sure what to expect but he is cuddly, intelligent, and super brave. He has no downsides. He is literally perfect 😭. He has been with us for 24hrs and is alrea...
Read More

1071 upvotes

•

50 comments

Hide r/Siamesecats

Hide r/Siamesecats

r/MaineCoon

u/mishy0922
•
21h ago

My babies are finally home!

More than a year of planning, research and work with the breeder and it’s finally here. Franklin (Orange boy) and Aurelie (tabby girl) are adjusting well. Aurelie is having a harder time being that sh...
Read More

411 upvotes

•

15 comments

Hide r/MaineCoon

Hide r/MaineCoon

r/CatAdvice

u/VokaJun
•
10h ago

what's something every first time cat owner should know early?

got my first cat recently and honestly i feel like i'm learning smthg new every day.

sometimes she follows me around constantly, sometimes she wants absolutely nothing to do with me. she'll ignore a ...
Read More

32 upvotes

•

72 comments

Hide r/CatAdvice

View More Posts

This email was intended for u/FunDirection5847.

Unsubscribe from daily digest messages, or visit your settings to manage
what emails Reddit sends you.

5‌4‌8 M‌a‌rket S‌t., #16093,

San Francisco, CA 9‌4‌1‌0‌4-5‌4‌0‌1